Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class SortOrder

    java.lang.Object
      |
      +--com.compoze.ebusiness.SortOrder

All Implemented Interfaces:
  java.io.Serializable

public class SortOrder
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'sort order'. The internationalizable string values are stored in the `ebusiness_resources.properties` file (accessed through `EBusinessResources`) and referenced by their key and can be found in `j2ee_runtime.jar` at `com.compoze.ebusiness.ebusiness_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static SortOrder` | `ASCENDING` This value represents an 'ascending' sort order.
`static SortOrder` | `DESCENDING` This value represents an 'descending' sort order.
`static SortOrder` | `NONE` This value represents a sort order of 'none'.
`static java.util.List` | `s_values` An array containing all of the fixed sort order levels.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static SortOrder` | `get(int iStoreValue)` Gets the sort order by its store value.
`static SortOrder` | `get(java.lang.String sName)` Gets the sort order by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of sort order levels.
`java.lang.String` | `getName()` Gets the name of the sort order using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the sort order using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the sort order in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_values

    public static java.util.List s_values

  An array containing all of the fixed sort order levels.

### NONE

    public static final SortOrder NONE

  This value represents a sort order of 'none'.

### ASCENDING

    public static final SortOrder ASCENDING

  This value represents an 'ascending' sort order.

### DESCENDING

    public static final SortOrder DESCENDING

  This value represents an 'descending' sort order.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the sort order using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the sort order using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the sort order in the storage system.
  Returns:
    the store value

### get

    public static SortOrder get(int iStoreValue)

  Gets the sort order by its store value.
  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching sort order or `null` if not found

### get

    public static SortOrder get(java.lang.String sName)

  Gets the sort order by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching sort order or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of sort order levels.
  Returns:
    the list of `SortOrder`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object check for equality
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.